> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shipping options

> Retrieve all available shipping carriers and service levels, to be used in an order's `shipping` object.



## OpenAPI

````yaml /openapi-public.yml get /api/v1/orders/shipping_options
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/orders/shipping_options:
    get:
      tags:
        - Orders
      summary: Get shipping options
      description: >-
        Retrieve all available shipping carriers and service levels, to be used
        in an order's `shipping` object.
      responses:
        '200':
          description: Successful response with shipping options
          content:
            application/json:
              schema:
                type: object
                properties:
                  carriers:
                    type: array
                    description: List of available carriers
                    items:
                      type: string
                      example: ups
                  service_levels:
                    type: array
                    description: List of available service levels
                    items:
                      type: string
                      example: ups_ground
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````